ruby-eventmachine (1.3~pre20201020-b50c135-4build3) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 14:23:33 -0300

ruby-eventmachine (1.3~pre20201020-b50c135-4build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 13:49:38 +0100

ruby-eventmachine (1.3~pre20201020-b50c135-4build1) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Nov 2021 17:40:00 -0300

ruby-eventmachine (1.3~pre20201020-b50c135-4) unstable; urgency=medium

  * Team upload.
  * debian/ruby-tests.rake: skip tests when no ipv4 is available
    (Closes: #995815)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 12 Oct 2021 14:13:34 -0300

ruby-eventmachine (1.3~pre20201020-b50c135-3) unstable; urgency=medium

  * Add skip_test_em_system_pid_ruby3.patch to skip for now test failing with
    Ruby3.0 (Closes: #996160)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 06 Oct 2021 07:44:08 +0200

ruby-eventmachine (1.3~pre20201020-b50c135-2) unstable; urgency=medium

  * Team upload
  * Add patch to raise the inactivity timeout limit in tests as some slow
    architectures may reach the limit set by upstream

 -- Cédric Boutillier <boutil@debian.org>  Thu, 04 Feb 2021 16:10:11 +0100

ruby-eventmachine (1.3~pre20201020-b50c135-1) unstable; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * New upstream version 1.3~pre20201020-b50c135
  * Change hijacked homepage to Github repo
  * Refresh patches, drop longer_rsa_keys.patch
  * Add localhost_ipv6.patch to use localhost instead of v4 127.0.0.1 IP.
    This should prevent test failures on IPv6-only build machines
  * Add change_port_9999_to_9998.patch to avoid conflict with approx apt
    cache default port in tests
  * Add skip_test_stop_server.patch to skip failing test
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Bump debhelper compatibility level to 13

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + ruby-eventmachine: Add Multi-Arch: same.
  * Update watch file format version to 4.

 -- Cédric Boutillier <boutil@debian.org>  Sat, 09 Jan 2021 16:25:08 +0100

ruby-eventmachine (1.3~pre20190820-g10fb0c4-3) unstable; urgency=medium

  * Team upload.
  * Add hppa-linux-gnu to slow arch list for tests.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 04 Aug 2020 14:16:56 +0900

ruby-eventmachine (1.3~pre20190820-g10fb0c4-2) unstable; urgency=medium

  * Team upload.
  * Add armhf-linux-gnueabi to slow arch list for tests.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 20 May 2020 13:15:08 +0900

ruby-eventmachine (1.3~pre20190820-g10fb0c4-1) unstable; urgency=medium

  * Team upload.
  * Complement upstream metadata.
  * Set Rules-Requires-Root to 'no'.
  * Bump Standards-Version to 4.5.0 (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 19 May 2020 14:35:40 +0900

ruby-eventmachine (1.3~pre20190820-g10fb0c4-1~exp1) experimental; urgency=medium

  * Team upload
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.4.1, no changes needed.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 22 Jan 2020 15:34:07 +0100

ruby-eventmachine (1.3~pre2019019-g8f7e128-1~exp2) experimental; urgency=medium

  * Team upload
  * Add upstream patch to improve timeout handling
  * Rewrite test_dhparam_1_2 to accommodate slow architectures
  * Use installed gemspecs for autopkgtest
  * Refresh slightly skip_tests_using_network.patch

 -- Cédric Boutillier <boutil@debian.org>  Wed, 23 Jan 2019 01:16:19 +0100

ruby-eventmachine (1.3~pre2019019-g8f7e128-1~exp1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.3~pre2019019-g8f7e128
    Use github tip of master from github for this version
  * Refresh skip_tests_using_network.patch
  * Drop openssl111.patch, applied upstream
  * Patch out git usage in source gemspec
  * Skip a hanging test about exceptions

 -- Cédric Boutillier <boutil@debian.org>  Sun, 20 Jan 2019 00:49:23 +0100

ruby-eventmachine (1.2.7-1~exp1) experimental; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Remove inactive maintainers from Uploaders: list.
    Thanks to Daigo Moriwaki and Ryan Niebur for their work.
    (Closes: #856375, #863773)
  * Blacklist another "network"-needing test. (Closes: #816640)

  [ Cédric Boutillier ]
  * New upstream version 1.2.7
  * Refresh skip_tests_using_network.patch
  * longer_rsa_keys and openssl111 patches for OpenSSL 1.1.1
  * Use salsa.debian.org in Vcs-* fields
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Move debian/watch to gemwatch.debian.net
  * Build-depend on rake-compiler, according to gemspecs
  * Break ruby-diaspora-vine << 0.2.0.develop.4-3~

 -- Cédric Boutillier <boutil@debian.org>  Thu, 03 Jan 2019 12:28:06 +0100

ruby-eventmachine (1.2.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Antonio Terceiro ]
  * move rakelib/ back on clean target

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Christian Hofstaedtler ]
  * New upstream version.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 31 Jul 2016 20:09:22 +0000

ruby-eventmachine (1.0.7-3) unstable; urgency=medium

  * Team upload.
  * Update packaging with a new dh-make-ruby run
    - switched tests from debian/ruby-tests.rb to debian/ruby-tests.rake

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 20 Jul 2015 21:19:07 -0300

ruby-eventmachine (1.0.7-2) unstable; urgency=medium

  * Team upload.
  * Disable known-broken test, see upstream issue #575.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 14 Jul 2015 21:23:20 +0200

ruby-eventmachine (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * Re-upload to unstable.
  * Add ruby-minitest, rake and ruby-test-unit to build deps.
  * Disable more network using tests.
  * Stop ignoring test failures.

 -- Pirate Praveen <praveen@debian.org>  Thu, 30 Apr 2015 18:29:40 +0530

ruby-eventmachine (1.0.7-1~exp1) experimental; urgency=medium

  * Team upload.
  * Imported Upstream version 1.0.7
  * Bump Standards-Version to 3.9.6
  * Update Vcs-Browser to cgit URL and HTTPS
  * Target experimental and build for ruby2.2.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 09 Apr 2015 15:55:14 +0200

ruby-eventmachine (1.0.3-6) unstable; urgency=low

  * Bump gem2deb build dependency to 0.7.5~
  * Rebuild to get rid of mkmf.log (Closes: #743661)

 -- Per Andersson <avtobiff@gmail.com>  Mon, 07 Apr 2014 00:24:19 +0200

ruby-eventmachine (1.0.3-5) unstable; urgency=low

  * Team upload.
  * Bump gem2deb build dep to 0.7.4~

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 Apr 2014 21:39:54 +0530

ruby-eventmachine (1.0.3-4) unstable; urgency=low

  * Team upload.
  * d/rules: disable tests for now
  * bump Standards-Version to 3.9.5 (no changes needed)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Thu, 16 Jan 2014 14:40:05 +0100

ruby-eventmachine (1.0.3-3) unstable; urgency=medium

  * Team upload.
  * Set urgency to medium as an RC bug is closed.
  * Disable tests requiring network access. (Closes: #710941)
    + add debian/patches/skip_tests_using_network.patch some of these tests
    + skip entire test files from debian/ruby-tests.rb

 -- Cédric Boutillier <boutil@debian.org>  Mon, 17 Jun 2013 00:17:18 +0200

ruby-eventmachine (1.0.3-2) unstable; urgency=low

  * Team upload.
  * Add libssl-dev to build deps. (Closes: #591979)
    - webmock needs eventmachine with encryption support.

 -- Praveen Arimbrathodiyil <praveen@debian.org>  Mon, 20 May 2013 03:23:52 +0530

ruby-eventmachine (1.0.3-1) unstable; urgency=low

  * Team upload.

  [ Praveen Arimbrathodiyil ]
  * New upstream release. (Closes: #694076)
  * Update to standards version 3.9.4.
  * Remove transitional packages.
  * Install CHANGELOG.md as upstream changelog.

  [ Per Andersson ]
  * Build depend on gem2deb >= 0.3.0.

 -- Praveen Arimbrathodiyil <praveen@debian.org>  Tue, 14 May 2013 22:32:19 +0530

ruby-eventmachine (0.12.10-3) unstable; urgency=low

  * Add myself to uploaders.
  * Set priority extra for transitional packages.
  * Add patch to format error strings safely. (Closes: #676209)
  * Bump standards version to 3.9.3 (no changes necessary).
  * Use copyright format 1.0 url in debian/copyright.

 -- Per Andersson <avtobiff@gmail.com>  Wed, 20 Jun 2012 15:36:28 +0200

ruby-eventmachine (0.12.10-2) unstable; urgency=low

  [ Laurent Arnoud ]
  * Switch to gem2deb-based packaging. Source and binary package renamed to
    ruby-eventmachine. Transitional packages added.

  [ Paul van Tilburg ]
  * debian/copyright: small fixes to further comply with the DEP5 format.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 28 Sep 2011 21:25:39 +0200

libeventmachine-ruby (0.12.10-1) unstable; urgency=low

  * New upstream release. (Closes: #577102)
  * debian/control:
    - Bumped up Standards-Version to 3.8.4.
  * debian/watch:
    - The upstream seems to only distribute a gem package, no longer in the
    *.tar.gz format. The watch file watches versions of gem packages.  Thanks
    to Frederic Peters for letting me know.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 10 Apr 2010 12:05:59 +0900

libeventmachine-ruby (0.12.6-1) unstable; urgency=low

  * New upstream version
  * add myself to uploaders
  * change Section to ruby
  * change the -ruby and -doc packages to Architecture all as they are
    architecture independent
    - change the versioned dependency to make it binnmu-able
  * fix copyright for debian packaging in debian/copyright
  * depend on ${misc:Depends} for all packages
  * debian policy 3.8.1
  * update Vcs-* fields for the move from packages-wip to package
  * update upstream copyright to 2008, as some files say that year

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 24 Apr 2009 21:49:36 -0700

libeventmachine-ruby (0.12.4-1) unstable; urgency=low

  * New upstream release.
  * Initial release to Debian. (Closes: #501450)


 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Feb 2009 09:14:28 +0900

libeventmachine-ruby (0.12.2-1) unstable; urgency=low

  * Initial release.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 07 Oct 2008 22:29:37 +0900
